#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire1800six4xi.py">
#<abstract4xi abstract = "fires to direction six and to distance 1800"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2six4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SIX - COORDINATE SIGNS OF SHOOT2SIX4XI: (X - ,Y + ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2six18004xi



# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

shot2six18004xi = {
                1:'-1016x1347y-626z',
                2:'-1057x1292y-672z',
                3:'-1081x1287y-643z',
                4:'-1119x1229y-689z',
                5:'-1135x1396y-5z',
                6:'-1142x1224y-660z',
                7:'-1177x1164y-705z',
                8:'-1200x1157y-676z',
                9:'-1207x1334y-23z',
                10:'-1231x1096y-722z',
                11:'-123x686y-1659z',
                12:'-1254x1089y-693z',
                13:'-1275x1269y-41z',
                14:'-1281x1026y-738z',
                15:'-1303x1017y-710z',
                16:'-1326x953y-754z',
                17:'-1339x1200y-59z',
                18:'-1349x943y-726z',
                19:'-1368x878y-771z',
                20:'-1390x868y-743z',
                21:'-1400x1128y-77z',
                22:'-1405x801y-787z',
                23:'-1427x790y-759z',
                24:'-1438x723y-803z',
                25:'-1456x1053y-95z',
                26:'-1467x644y-819z',
                27:'-1491x563y-835z',
                28:'-1508x975y-113z',
                29:'-1510x482y-851z',
                30:'-1525x400y-867z',
                31:'-1535x318y-883z',
                32:'-1539x72y-929z',
                33:'-1541x235y-898z',
                34:'-1541x750y-818z',
                35:'-1542x153y-914z',
                36:'-1556x894y-131z',
                37:'-155x662y-1666z',
                38:'-159x1278y-1256z',
                39:'-1600x810y-149z',
                40:'-1638x725y-166z',
                41:'-1672x637y-184z',
                42:'-1702x548y-202z',
                43:'-1726x458y-220z',
                44:'-1745x367y-238z',
                45:'-1760x274y-256z',
                46:'-1769x182y-274z',
                47:'-1773x89y-291z',
                48:'-185x637y-1672z',
                49:'-190x1722y-484z',
                50:'-213x611y-1679z',
                51:'-223x1256y-1269z',
                52:'-238x583y-1685z',
                53:'-247x7y-1782z',
                54:'-261x555y-1692z',
                55:'-264x22y-1780z',
                56:'-279x1705y-502z',
                57:'-280x38y-1777z',
                58:'-282x525y-1698z',
                59:'-286x1230y-1282z',
                60:'-295x56y-1774z',
                61:'-300x495y-1704z',
                62:'-302x1710y-472z',
                63:'-309x75y-1771z',
                64:'-316x465y-1709z',
                65:'-322x97y-1768z',
                66:'-330x434y-1715z',
                67:'-333x119y-1764z',
                68:'-341x403y-1720z',
                69:'-342x143y-1761z',
                70:'-346x1201y-1294z',
                71:'-350x169y-1757z',
                72:'-350x372y-1725z',
                73:'-356x195y-1753z',
                74:'-356x341y-1730z',
                75:'-360x223y-1749z',
                76:'-360x311y-1735z',
                77:'-362x251y-1744z',
                78:'-363x281y-1740z',
                79:'-367x1683y-519z',
                80:'-390x1687y-489z',
                81:'-404x1169y-1307z',
                82:'-453x1657y-536z',
                83:'-460x1134y-1319z',
                84:'-476x1659y-507z',
                85:'-513x1096y-1331z',
                86:'-537x1626y-553z',
                87:'-53x728y-1645z',
                88:'-561x1627y-524z',
                89:'-563x1056y-1343z',
                90:'-611x1013y-1355z',
                91:'-620x1590y-571z',
                92:'-643x1591y-541z',
                93:'-655x969y-1367z',
                94:'-697x922y-1379z',
                95:'-700x1550y-588z',
                96:'-723x1550y-558z',
                97:'-735x874y-1390z',
                98:'-771x824y-1401z',
                99:'-777x1506y-605z',
                100:'-801x1505y-575z',
                101:'-803x773y-1413z',
                102:'-831x720y-1424z',
                103:'-852x1458y-621z',
                104:'-857x667y-1435z',
                105:'-876x1456y-592z',
                106:'-879x613y-1446z',
                107:'-897x558y-1456z',
                108:'-89x708y-1652z',
                109:'-906x30y-1554z',
                110:'-912x504y-1467z',
                111:'-918x78y-1545z',
                112:'-923x1406y-638z',
                113:'-924x449y-1477z',
                114:'-928x129y-1536z',
                115:'-933x394y-1487z',
                116:'-935x180y-1527z',
                117:'-938x339y-1497z',
                118:'-939x232y-1517z',
                119:'-940x286y-1507z',
                120:'-947x1403y-609z',
                121:'-992x1351y-655z'}


#"
#/>



# -------------------------------------------------------------------------------------------------------------------
#<function4xi function = "fire1800six4xi" usage = "target function for charge2six4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------------------------
def fire1800six4xi(queue2six, consumer_channel2six, publisher_channel2six):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE1800SIX4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE1800SIX4XI -  QUEUE2SIX: ", queue2six)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE1800SIX4XI -  CONSUMER_CHANNEL2SIX: ", consumer_channel2six)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE1800SIX4XI -  PUBLISHER_CHANNEL2SIX: ", publisher_channel2six)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE1800SIX4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2six.put(shot2six18004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE1800SIX4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE1800SIX4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE1800SIX4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2six8shot2six1800x4xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2six8shot2six1800x4xi</nack2put4xi>" 
            
        publisher_channel2six.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE1800SIX4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
            # 
        
    except:
        print(" (STEP 3C/33) OF FIRE1800SIX4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE1800SIX4XI - RETURNING QUEUE OBJECT QUEUE2SIX: ", queue2six, " - TIME: ", time4xi())  
        # 
            
    return queue2six    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire1800six4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
